#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.2.1
visibility:           public
id:                   primitive-extras-0.10.2.1-K0aTKhT0sCY3UnzVwQIr4h
key:                  primitive-extras-0.10.2.1-K0aTKhT0sCY3UnzVwQIr4h
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  c31c2f61d695560f1afc2f06fecad34c
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2.1-K0aTKhT0sCY3UnzVwQIr4h
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-6B75Z1YXVtoFuUvwKLOpnG
    focus-1.0.3.2-JeS8ixBwGmaAJSXhV1MBBi
    foldl-1.4.17-EAAmzceUEFUB1qnyLEjkHM
    list-t-1.0.5.5-9v5nNtzOfX25nzGkpQb199
    primitive-0.7.4.0-LS07XpojUe32dExBFiZWCd
    primitive-unlifted-0.1.3.1-IELq7eqXfPuKlyEiR1FU4v
    profunctors-5.6.2-5oeUUg8GnIa7QJDd9nzKav
    vector-0.13.1.0-7kspXIhsfaQEZQW3lsFmcE

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

